Bug 286681 - system-config-kickstart hangs on opening a kickstart file that contains timezone US/Mountain
system-config-kickstart hangs on opening a kickstart file that contains timez...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tzdata (Show other bugs)
5.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Petr Machata
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 14:59 EDT by Forrest Taylor
Modified: 2015-05-04 21:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-10 10:41:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add US/Mountain as a valid timezone (671 bytes, patch)
2007-09-11 14:59 EDT, Forrest Taylor
no flags Details | Diff

  None (edit)
Description Forrest Taylor 2007-09-11 14:59:15 EDT
Description of problem:
When using system-config-kickstart to open a kickstart file that contains
certain timezones, it will hang.

When I attempt to open such a file, I see:

Traceback (most recent call last):
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 285, in
on_activate_open
    self.applyKsdata()
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 311, in
applyKsdata
    self.basic_class.applyKsdata()
  File "/usr/share/system-config-kickstart/basic.py", line 228, in applyKsdata
   
self.timezone_combo.list.select_item(self.timezone_list.index(self.ksdata.timezone["timezone"]))
ValueError: list.index(x): x not in list

So, it appears that the timezone that I chose was not included in the list that
system-config-kickstart is aware of.  If I change the timezone to
America/Denver, it works fine.


Version-Release number of selected component (if applicable):
system-config-kickstart-2.6.19.1-1.el5

How reproducible:
Always

Steps to Reproduce:
1. Use timezone of US/Mountain (or other such timezones) in a kickstart file
2. Use system-config-kickstart to open it.
  
Actual results:
The app hangs and the open dialog box will not close.

Expected results:
It should allow timezones such as US/Mountain.

Additional info:
An update to the tzdata package would fix it.  Adding US/Mountain to
/usr/share/zoneinfo/zone.tab solves the problem.
Comment 1 Forrest Taylor 2007-09-11 14:59:15 EDT
Created attachment 192871 [details]
Patch to add US/Mountain as a valid timezone
Comment 2 Petr Machata 2007-10-10 10:41:25 EDT
The zone of name US/Mountain is available only as backwards-compatible link and
shouldn't be used in modern setups.  America/Denver should be used instead.

Note You need to log in before you can comment on or make changes to this bug.